.\"
.\" Copyright (c) 1996 Jonathan Stone.
.\" Copyright (c) 2000 Matt Thomas.
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"      This product includes software developed by Jonathan Stone.
.\" 4. The name of the author may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.\"	$NetBSD: asc.4,v 1.9 2003/04/06 19:33:32 wiz Exp $
.\"
.Dd April 23, 2000
.Dt ASC 4 vax
.Os
.Sh NAME
.Nm asc
.Nd
VAXstation 4000 SCSI controller
.Sh SYNOPSIS
.Cd "asc* at vsbus? csr 0x200c0080" Pq VS-4000/60 or VLC
.Cd "asc* at vsbus? csr 0x25000080" Pq VS-4000/9x
.Cd "asc* at tc?" Pq Not yet supported
.Cd "scsibus* at asc?"
.Sh DESCRIPTION
The
.Nm
driver provides support for the
.Tn NCR
53c94-based SCSI host adapter
on the VAXstation 4000 series, and for the PMAZ-AA and related
TURBOchannel SCSI adapter option boards (also on the VAXstation
4000 series models which include support for the TURBOchannel
adapter).
.Sh CONFIGURATION
The
.Nm
driver supports the following
.Sy flags
for use in
.Xr config 1
files:
.Pp
.Bl -tag -compact -width "bits 8-15:"
.It bits 0-7 :
disable disconnect/reselect for the corresponding
.Tn SCSI
target
.It bits 8-15 :
disable synchronous negotiation for
.Tn SCSI
target
.El
.Pp
.Qq Target
is synonymous with
.Tn SCSI
ID number.
.Pp
Note that
.Tn SCSI
tape drives should be allowed to perform disconnect/reselect or performance
will suffer.
.Sh SEE ALSO
.Xr cd 4 ,
.Xr ch 4 ,
.Xr esp 4 ,
.Xr intro 4 ,
.Xr scsi 4 ,
.Xr sd 4 ,
.Xr st 4
.Sh HISTORY
The
.Nm
driver first appeared in
.Nx 1.5 .
